Skip to main content
POST
/
v2
/
image-utils
/
image-web-search
cURL
curl --request POST \
  --url https://api.tokenkit.co/v2/image-utils/image-web-search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'instructions=<string>' \
  --form aspect_ratio=any \
  --form effort=low
{
  "data": {
    "job_id": "job_123",
    "links": {
      "self": "/v1/jobs/job_123",
      "stream": "/v1/jobs/job_123/stream"
    }
  },
  "errors": null
}

Request body

application/json (or form body, depending on your client setup)
  • instructions (string, required): Between 3 and 10,000 characters
  • aspect_ratio ("any" | validAspectRatios, optional): Defaults to "any"
  • effort ("high" | "low", optional): Defaults to "low"

Validation rules

  • instructions minimum length: 3
  • instructions maximum length: 10,000

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
instructions
string
required
Required string length: 3 - 10000
aspect_ratio
enum<string>
default:any
Available options:
any,
9:16,
2:3,
3:4,
4:5,
1:1,
5:4,
4:3,
3:2,
16:9
effort
enum<string>
default:low
Available options:
high,
low

Response

Job accepted

data
object
required
errors
unknown